## org.opencyc.api
Class ApiDemo

    java.lang.Object
      |
      +--org.opencyc.api.ApiDemo

public class ApiDemo
extends java.lang.Object

Provides a simple demo of the OpenCyc API.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected CycAccess` `cycAccess` the CycAccess object

Constructor Summary
`ApiDemo()`

Method Summary
`protected void` `demo1()` Demonstrates getKnownConstantByName api function.
`protected void` `demo10()` Demonstrates getParaphrase (with quantified formula) api function.
`protected void` `demo11()` Demonstrates getImpreciseParaphrase (with quantified formula) api function.
`protected void` `demo12()` Demonstrates usage of CycNart and getInstanceSiblings api function.
`protected void` `demo13()` Demonstrates usage of isQueryTrue api function.
`protected void` `demo14()` Demonstrates usage of the assertGaf api function.
`protected void` `demo15()` Demonstrates usage of the unassertGaf api function.
`protected void` `demo16()` Demonstrates usage of the rkfPhraseReader api function.
`protected void` `demo17()` Demonstrates usage of the generateDisambiguationPhraseAndTypes api function.
`protected void` `demo2()` Demonstrates getConstantGuid api function.
`protected void` `demo3()` Demonstrates getComment api function.
`protected void` `demo4()` Demonstrates getIsas api function.
`protected void` `demo5()` Demonstrates getGenls api function.
`protected void` `demo6()` Demonstrates getArity api function.
`protected void` `demo7()` Demonstrates arg1Isas api function.
`protected void` `demo8()` Demonstrates getArgNGenls api function.
`protected void` `demo9()` Demonstrates getParaphrase (with quantified formula) api function.
`protected void` `demoInteraction()` Interacts with the user to perform specified demos.
`static void` `main(java.lang.String[] args)` Provides the main method for the api demo application

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cycAccess

    protected CycAccess cycAccess

  the CycAccess object

Constructor Detail

### ApiDemo

    public ApiDemo()

Method Detail

### demoInteraction

    protected void demoInteraction()

  Interacts with the user to perform specified demos.

### main

    public static void main(java.lang.String[] args)

  Provides the main method for the api demo application

### demo1

    protected void demo1()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getKnownConstantByName api function.

### demo2

    protected void demo2()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getConstantGuid api function.

### demo3

    protected void demo3()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getComment api function.

### demo4

    protected void demo4()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getIsas api function.

### demo5

    protected void demo5()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getGenls api function.

### demo6

    protected void demo6()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getArity api function.

### demo7

    protected void demo7()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates arg1Isas api function.

### demo8

    protected void demo8()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getArgNGenls api function.

### demo9

    protected void demo9()
                  throws java.io.IOException,
                         java.net.UnknownHostException,
                         CycApiException

  Demonstrates getParaphrase (with quantified formula) api function.

### demo10

    protected void demo10()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates getParaphrase (with quantified formula) api function.

### demo11

    protected void demo11()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates getImpreciseParaphrase (with quantified formula) api function.

### demo12

    protected void demo12()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates usage of CycNart and getInstanceSiblings api function.

### demo13

    protected void demo13()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates usage of isQueryTrue api function.

### demo14

    protected void demo14()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates usage of the assertGaf api function.

### demo15

    protected void demo15()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates usage of the unassertGaf api function.

### demo16

    protected void demo16()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates usage of the rkfPhraseReader api function.

### demo17

    protected void demo17()
                   throws java.io.IOException,
                          java.net.UnknownHostException,
                          CycApiException

  Demonstrates usage of the generateDisambiguationPhraseAndTypes api function.